package com.qianhe.zqcz.ryxx.mapper;

import com.qianhe.zqcz.ryxx.domain.ZqczRyxx;
import com.qianhe.zqcz.ryxx.domain.ZqczRyxxQuery;
import com.qianhe.zqcz.ryxx.domain.ZqczRyxxVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczRyxxMapper {
    /**
     * 条件查询
     */
    List<ZqczRyxxVo> list(ZqczRyxxQuery zqczRyxxQuery);

    /**
     * 查询详情
     */
    ZqczRyxxVo info(@Param("ryid") Long ryid);

    /**
     * 新增
     */
    int add(ZqczRyxx zqczRyxx);

    /**
     * 修改
     */
    int edit(ZqczRyxx zqczRyxx);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 根据基础任务ID删除
     */
    int deleteByJcrwid(@Param("jcrwid") Long jcrwid);

    /**
     * 批量插入
     */
    int batchAdd(@Param("ryxxList") List<ZqczRyxx> ryxxList);

    /**
     * 根据人员名称查询人员分类
     */
    List<ZqczRyxxVo> checkRyfl(@Param("rymcList") List<String> rymcList);
}
